package com.ruoyi.warehouseBusiness.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class StorageFee {
    private static final long serialVersionUID = 1L;

    /**
     * 唛头
     */
    @Excel(name = "单据编号")
    private String fBillno;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称")
    private String fCorpid;

    /**
     * 入库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBillingDeadline;


    /**
     * 状态(数据字典),N 入（出）库中，T入（出）库完成，状态为完成不能删除，状态变化，用邮件、微信通知客户。
     */
    @Excel(name = "单据状态")
    private String fBillstatus;

    /**
     * 创建者
     */
    @Excel(name = "制单人")
    private String createBy;

    /**
     * 入库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "制单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;


    /**
     * 创建者
     */
    @Excel(name = "备注")
    private String remark;

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(String fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Date getfBillingDeadline() {
        return fBillingDeadline;
    }

    public void setfBillingDeadline(Date fBillingDeadline) {
        this.fBillingDeadline = fBillingDeadline;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
